{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            MECANICO <div class="weight-600 font-30 text-blue">
              <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                Agregar Mecanico
              </button>
          </div>
          </h4>
        </div>
    </div>
    </div>
    <table id="miTabla" class="display"cellspacing="0" width="100%" id="mitab">
      <thead>
      <tr>
        <th>ID</th>
        <th>NOMBRE</th>
        <th>ESPECIALIDAD</th>
        <th>TELEFONO</th>
        <th>CORREO</th>
        <th>FOTO</th>
        <th>ACCIONES</th>
      </tr>
      </thead>
      <tbody>
      {% for mecanico in mecanicos %}
      <tr>
        <td>{{mecanico.id}}</td>
        <td>{{mecanico.nombre}}</td>
        <td>{{mecanico.especialidad}}</td>
        <td>{{mecanico.telefono}}</td>
        <td>{{mecanico.correo}}</td>
        <td>
            {% if mecanico.foto %}
                <a href="{{ mecanico.foto.url }}">
                    <img src="{{ mecanico.foto.url }}" >
                </a>
            {% else %}
                <p>N/A</p>
            {% endif %}
        </td>
        <td>
          <a href="/editarMecanico/{{mecanico.id}}" class="btn btn-warning">Editar</a>
          <a href="javascript:void(0)"onclick="eliminarM('/eliminarMecanico/{{mecanico.id}}');" class="btn btn-danger"> Eliminar </a>
        </td>
      </tr>
      {% endfor %}
      </tbody>
        </table>
    <!-- En tu script -->
    <script type="text/javascript">
    $(document).ready(function() {
        $('#miTabla').DataTable({
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'pdfHtml5',
                    messageTop: 'PDF created by PDFMake with Buttons for DataTables.'
                },
                'print',
                'csv'
            ],
            "language": {
                "url": "https://cdn.datatables.net/plug-ins/1.11.5/i18n/Spanish.json" // Cambia a la URL correcta del archivo de idioma español
            }
            // Puedes agregar más opciones según tus requisitos
        });
    });
</script>
  </div>
</div>

          <!-- Button trigger modal -->


<!-- Modal -->
<!-- Button trigger modal -->

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form data-live-search="true" data-live-search-style="startsWith" class="selectpicker"
         action="/guardarMecanico/" method="post" enctype="multipart/form-data" id="frm_nuevo_mecanico">
    {% csrf_token %}
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="nombre">Ingrese el nombre</label>
                    <input type="text" name="nombre" id="nombre" value="" placeholder="Ingrese el nombre" class="form-control" required>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="especialidad">Ingrese la especialidad</label>
                    <input type="text" name="especialidad" id="especialidad" value="" placeholder="Ingrese la especialidad" class="form-control" required>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="telefono">Ingrese el teléfono</label>
                    <input type="number" name="telefono" id="telefono" value="" placeholder="Ingrese el teléfono" class="form-control" required>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label for="correo">Ingrese el correo</label>
                    <input type="email" name="correo" id="correo" value="" placeholder="Ingrese el correo" class="form-control" required>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="foto">Foto</label>
                    <input type="file" name="foto" id="foto" value="" placeholder="Ingrese la foto" class="form-control" required>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12 text-center">
                <button type="submit" class="btn btn-primary">Guardar</button>
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>

</form>
<script type="text/javascript">
  $("#frm_nuevo_mecanico").validate({
            rules: {
                nombre: {
                    required: true,
                    letterswithspace: true
                },
                especialidad: {
                    required: true,
                    lettersonly: true
                },
                telefono: {
                    required: true,
                    digits: true,
                    minlength: 10,
                    maxlength: 10
                },
                correo: {
                    required: true,
                    email: true
                },
                foto: {
                    required: true
                }
            },
            messages: {
                nombre: {
                    required: "Por favor, ingrese el nombre.",
                    letterswithspace: "Solo se permiten letras y espacios en blanco."
                },
                especialidad: {
                    required: "Por favor, ingrese la especialidad.",
                    lettersonly: "Solo se permiten letras."
                },
                telefono: {
                    required: "Por favor, ingrese el teléfono.",
                    digits: "Ingrese solo números.",
                    minlength: "El teléfono debe tener al menos 10 dígitos.",
                    maxlength: "El teléfono no puede tener más de 10 dígitos."
                },
                correo: {
                    required: "Por favor, ingrese el correo.",
                    email: "Ingrese un correo electrónico válido."
                },
                foto: {
                    required: "Por favor ingrese una fotografia "
                }
            }
        });

        // Métodos personalizados para las reglas específicas
        $.validator.addMethod("letterswithspace", function (value, element) {
            return this.optional(element) || /^[a-zA-Z\s]*$/.test(value);
        });

        $.validator.addMethod("lettersonly", function (value, element) {
            return this.optional(element) || /^[a-zA-Z]*$/.test(value);
        });

</script>

    </div>
  </div>
</div>
{% endblock %}
